<?php
@session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");
?>
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

<script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
</script>

<script language="javascript">
function format(input)
{
var num = input.value.replace(/\./g,'');
if(!isNaN(num)){
num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
num = num.split('').reverse().join('').replace(/^[\.]/,'');
input.value = num;
}

else{ //alert('Solo se permiten numeros');
input.value = input.value.replace(/[^\d\.]*/g,'');
}
}
</script>

</head>

<BODY onLoad="parametros.id.focus();">
<?php
 


include "../conexion.php";
$id="";	$cantidad="";	$precio=""; 	$proveedor=""; 	$observacion=""; 	$fecha="";		$codpro="";
$factura="";$valorfactura="";$ivafactura="";$fechafactura="";$nombrep="";

date_default_timezone_set('America/Bogota');
$hora=date("H:i:s");
$fechasis=date("Y-m-d");
$producto=$_REQUEST["producto"]; 

										 						 						  
if(isset($_REQUEST["oculto"]))
{ 
 $producto=$_REQUEST["producto"]; 
 $fecha=$_REQUEST["fecha"]; 

if($_REQUEST["oguardar"]==1)
	{   
			   if($fecha<>"")
				  {   $sql_insert=mysqli_query($conexion,"insert into producto_vence (producto,fecha)
				  										 values('".$producto."','".$fecha."')");
					  if($sql_insert) {}
					  else {}
				   }//fin valida chequeo
   }//fin


if($_REQUEST["omodificar"]==1)
	{   
	    $c=1; $canti=$_REQUEST['canti'];
		  while($c<=$canti)
		   {  if(isset($_REQUEST['ch'.$c])) {$val=1; }	  else {$val=0;} 
			   $idi=$_REQUEST['idi'.$c];
			   $fecha=$_REQUEST['fecha'.$c];
			   if($val==1 && $fecha<>"")
				  {   $sql_delete=mysqli_query($conexion,"update producto_vence set fecha='".$fecha."'
				  										  where id='".$idi."'");
					  if($sql_delete) {}
					  else {}
				   }//fin valida chequeo
			  $c=$c+1;
		   }//fin cliclo
  }//fin
  
  
  if($_REQUEST["oeliminar"]==1)
	{   
	    $c=1; $canti=$_REQUEST['canti'];
		  while($c<=$canti)
		   {  if(isset($_REQUEST['ch'.$c])) {$val=1; }	  else {$val=0;} 
			   $idi=$_REQUEST['idi'.$c];
			   $fecha=$_REQUEST['fecha'.$c];
			   if($val==1 && $fecha<>"")
				  {   $sql_delete=mysqli_query($conexion,"delete from producto_vence  where id='".$idi."'");
					  if($sql_delete) {}
					  else {}
				   }//fin valida chequeo
			  $c=$c+1;
		   }//fin cliclo
  }//fin
 
 
}

?>
<form name="parametros" method="post" action="" >
<div id="informes" class="container text-center" style="width:98%;">
    <div class="panel panel-default">
      <div class="panel-heading">FECHAS VENCIMIENTO PRODUCTO</div>
      <div align="center">
      <table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td height="0" colspan="2" align="center">&nbsp;</td>
                    </tr>
                   
                    <tr>
                      <td width="22%" height="0"><input name="fecha" type="date"   id="fecha" value="<?php echo $fecha; ?>" 
                       class="form-control" data-placement="right"  style="width: 200px">
                        
<input name="producto" type="hidden"   id="producto" value="<?php echo $producto; ?>" 
                       class="form-control" data-placement="right"  style="width: 150px">
                       </td>
                      <td width="78%">
                      <img src='../imagenes/guardar.jpg' width='40px' height='40px' 
							 onClick="oguardar.value=1;Obuscar.value=1;submit();" title="Clic para Guardar"  />
                      
                      </td>
                    </tr>
                    <tr> 
                      <td colspan="2">
                        <table width="100%" border="1" cellspacing="0" cellpadding="0" class='table table-hover'  >
                          <tr>
                          <td class="btn-primary" align="center" width="4%"></td>
                          <td class="btn-primary" align="center" width="10%">FECHA VENCE</td>
                          </tr>
                       <?php
									 $sql_datos=mysqli_query($conexion,"SELECT id,fecha
									 					     from producto_vence
															 where producto='".$producto."' 
															 order by fecha asc");
										$c=1;					 
									   while ($datos= mysqli_fetch_row($sql_datos))//04
										  { 
											$idi=$datos[0];
											$fecha=$datos[1];

											 echo "<tr>
													  <td>
													   <div align='center'>";
													   echo " <input type='checkbox' name='ch$c' >";													    													echo " <input name='idi$c' type='hidden' class='texto'  value='$idi' size='5'>";
													   ?>
                                                        <img src='../imagenes/modificar.jpg' width='30px' height='30px' 
							 onClick="omodificar.value=1;submit();" title="Clic para Modiifcar"  />
                             
                              <img src='../imagenes/eliminar.png' width='30px' height='30px' 
							 onClick="oeliminar.value=1;submit();" title="Clic para Liminar"  />
													   
													   <?php
														echo "</div>
													   </td>
													   <td>";
													   ?>
														<input name="fecha<?php echo $c;?>" type="date" class="form-control"  style="width: 100%; text-align:right;" 
																	id="fecha<?php echo $c;?>"
																	   value="<?php echo $fecha; ?>" >
																  <?php
													echo "</td></tr>";
													$c=$c+1;
													
										  }	//04
										$canti=$c-1;  
		 					  			echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";
							
							       
									 
									
							
							 ?>
	                      </table>
                      </td>
                    </tr>
                    <tr>
                      <td colspan="2"><input name="oguardar" type="hidden" id="oguardar">
                        <input name="Obuscar" type="hidden" id="Obuscar">
                        <input name="oculto" type="hidden" id="oculto">
                        <input name="oeliminar" type="hidden" id="oeliminar">
                        <input name="omodificar" type="hidden" id="omodificar">
                      </td>
                    </tr>
        </table>
  
</div>
</div>
</div>  
 
 <script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  
	if (tecla==46){
        return true;
    } 
	
	if (tecla==120 || tecla==88){
        return true;
    } 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>
 
</form>
<div id="resultado"></div>
</body>
</html>
